[arch-commits] Commit in kdebase/trunk (1017603.patch PKGBUILD)
Pierre Schmitz
pierre at archlinux.org
Tue Sep 1 14:08:28 UTC 2009
Date: Tuesday, September 1, 2009 @ 10:08:28
Author: pierre
Revision: 50693
fix konsole bug
Added:
kdebase/trunk/1017603.patch
Modified:
kdebase/trunk/PKGBUILD
---------------+
1017603.patch | 52 ++++++++++++++++++++++++++++++++++++++++++++++++++++
PKGBUILD | 12 +++++++++---
2 files changed, 61 insertions(+), 3 deletions(-)
Added: 1017603.patch
===================================================================
--- 1017603.patch (rev 0)
+++ 1017603.patch 2009-09-01 14:08:28 UTC (rev 50693)
@@ -0,0 +1,52 @@
+Index: apps/konsole/src/SessionController.cpp
+===================================================================
+--- apps/konsole/src/SessionController.cpp (Revision 1017602)
++++ apps/konsole/src/SessionController.cpp (Revision 1017603)
+@@ -95,13 +95,11 @@
+ Q_ASSERT( view );
+
+ // handle user interface related to session (menus etc.)
++ if (isKonsolePart())
++ setXMLFile("konsole/partui.rc");
++ else
++ setXMLFile("konsole/sessionui.rc");
+
+-#ifdef KONSOLE_PART
+- setXMLFile("konsole/partui.rc");
+-#else
+- setXMLFile("konsole/sessionui.rc");
+-#endif
+-
+ setupActions();
+ actionCollection()->addAssociatedWidget(view);
+ foreach (QAction* action, actionCollection()->actions())
+@@ -1041,6 +1039,15 @@
+ }
+ }
+
++bool SessionController::isKonsolePart() const
++{
++ // Check to see if we are being called from Konsole or a KPart
++ if (QString(kapp->metaObject()->className()) == "Konsole::Application")
++ return false;
++ else
++ return true;
++}
++
+ SessionTask::SessionTask(QObject* parent)
+ : QObject(parent)
+ , _autoDelete(false)
+Index: apps/konsole/src/SessionController.h
+===================================================================
+--- apps/konsole/src/SessionController.h (Revision 1017602)
++++ apps/konsole/src/SessionController.h (Revision 1017603)
+@@ -209,6 +209,9 @@
+
+ void updateSearchFilter();
+
++ /* Returns true if called within a KPart; false if called within Konsole. */
++ bool isKonsolePart() const;
++
+ private:
+ // begins the search
+ // text - pattern to search for
Modified: PKGBUILD
===================================================================
--- PKGBUILD 2009-09-01 13:42:20 UTC (rev 50692)
+++ PKGBUILD 2009-09-01 14:08:28 UTC (rev 50693)
@@ -20,11 +20,17 @@
license=('GPL' 'LGPL' 'FDL')
groups=('kde' 'kdebase')
makedepends=('kdebase-workspace' 'pkgconfig' 'cmake' 'automoc4' 'libraw1394')
-source=("http://download.kde.org/stable/${pkgver}/src/${pkgbase}-${pkgver}.tar.bz2")
-md5sums=('10dae53739f1e8bd6f5f615443649e4f')
+source=("http://download.kde.org/stable/${pkgver}/src/${pkgbase}-${pkgver}.tar.bz2"
+ '1017603.patch')
+md5sums=('10dae53739f1e8bd6f5f615443649e4f'
+ '206a6913a2aa839ccefb9e57a42f72a4')
build() {
- cd $srcdir
+ cd $srcdir/${pkgbase}-${pkgver}
+ # fix konsole bug
+ # see https://bugs.kde.org/show_bug.cgi?id=186745
+ patch -p0 -i ${srcdir}/1017603.patch || return 1
+ cd ..
mkdir build
cd build
cmake ../${pkgbase}-${pkgver} \
More information about the arch-commits
mailing list